Offers
List All Offers
This endpoint lists all currently open offers and can be used in streaming mode. Streaming mode allows you to listen for new offers as they are added to the Stellar ledger. If called in streaming mode, Horizon will start at the earliest known offer unless a cursor is set, in which case it will start from that cursor. By setting the cursor value to now, you can stream offers created since your request time. When filtering by buying or selling arguments, you must use a combination of selling_asset_type, selling_asset_issuer, and selling_asset_code for the selling asset, or a combination of buying_asset_type, buying_asset_issuer, and buying_asset_code for the buying asset.
GET
/
offers
List All Offers
curl --request GET \
--url 'https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers'import requests
url = "https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers")
.asString();require 'uri'
require 'net/http'
url = URI("https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"_links": {
"self": {
"href": "https://horizon-testnet.stellar.org/offers?cursor=&limit=3&order=asc&selling_asset_code=USD&selling_asset_issuer=GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX&selling_asset_type=credit_alphanum4"
},
"next": {
"href": "https://horizon-testnet.stellar.org/offers?cursor=88345152&limit=3&order=asc&selling_asset_code=USD&selling_asset_issuer=GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX&selling_asset_type=credit_alphanum4"
},
"prev": {
"href": "https://horizon-testnet.stellar.org/offers?cursor=71673427&limit=3&order=desc&selling_asset_code=USD&selling_asset_issuer=GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX&selling_asset_type=credit_alphanum4"
}
},
"_embedded": {
"records": [
{
"_links": {
"self": {
"href": "https://horizon-testnet.stellar.org/offers/71673427"
},
"offer_maker": {
"href": "https://horizon-testnet.stellar.org/accounts/GBJPWEIFX6KO4H52BF3QJDYRCLXB2P3Z3QTKWUGFOOFH5MSRZV4WLRZ7"
}
},
"id": 71673427,
"paging_token": "71673427",
"seller": "GBJPWEIFX6KO4H52BF3QJDYRCLXB2P3Z3QTKWUGFOOFH5MSRZV4WLRZ7",
"selling": {
"asset_type": "credit_alphanum4",
"asset_code": "USD",
"asset_issuer": "GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX"
},
"buying": {
"asset_type": "credit_alphanum4",
"asset_code": "BTC",
"asset_issuer": "GAUTUYY2THLF7SGITDFMXJVYH3LHDSMGEAKSBU267M2K7A3W543CKUEF"
},
"amount": "25.6545775",
"price_r": {
"n": 289696073,
"d": 25654776
},
"price": "11.2920913",
"last_modified_ledger": 26981646,
"last_modified_time": "2019-11-26T13:42:10Z"
},
{
"_links": {
"self": {
"href": "https://horizon-testnet.stellar.org/offers/88328208"
},
"offer_maker": {
"href": "https://horizon-testnet.stellar.org/accounts/GBSYMLHG5TGQ4O3NSPIO4DSCS4AC6YRJOQWQC3EW7O257RAUHI5SA45R"
}
},
"id": 88328208,
"paging_token": "88328208",
"seller": "GBSYMLHG5TGQ4O3NSPIO4DSCS4AC6YRJOQWQC3EW7O257RAUHI5SA45R",
"selling": {
"asset_type": "credit_alphanum4",
"asset_code": "USD",
"asset_issuer": "GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX"
},
"buying": {
"asset_type": "credit_alphanum4",
"asset_code": "BTC",
"asset_issuer": "GBVOL67TMUQBGL4TZYNMY3ZQ5WGQYFPFD5VJRWXR72VA33VFNL225PL5"
},
"amount": "2.4664893",
"price_r": {
"n": 500,
"d": 1233
},
"price": "0.4055150",
"last_modified_ledger": 23886660,
"last_modified_time": "2019-05-17T00:33:16Z"
},
{
"_links": {
"self": {
"href": "https://horizon-testnet.stellar.org/offers/88345152"
},
"offer_maker": {
"href": "https://horizon-testnet.stellar.org/accounts/GACTQP5TAWIXF2LV4GWGJWIUNHKDWZ2ITCFDP37FIGOFPR3ORMQRR63U"
}
},
"id": 88345152,
"paging_token": "88345152",
"seller": "GACTQP5TAWIXF2LV4GWGJWIUNHKDWZ2ITCFDP37FIGOFPR3ORMQRR63U",
"selling": {
"asset_type": "credit_alphanum4",
"asset_code": "USD",
"asset_issuer": "GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX"
},
"buying": {
"asset_type": "credit_alphanum4",
"asset_code": "USD",
"asset_issuer": "GBUYUAI75XXWDZEKLY66CFYKQPET5JR4EENXZBUZ3YXZ7DS56Z4OKOFU"
},
"amount": "10.0000000",
"price_r": {
"n": 11,
"d": 10
},
"price": "1.1000000",
"last_modified_ledger": 23887778,
"last_modified_time": "2019-05-17T02:19:19Z"
}
]
}
}This endpoint lists all currently open offers and can be used in streaming mode. Streaming mode allows you to listen for new offers as they are added to the Stellar ledger. If called in streaming mode, Horizon will start at the earliest known offer unless a cursor is set, in which case it will start from that cursor. By setting the cursor value to now, you can stream offers created since your request time. When filtering by buying or selling arguments, you must use a combination of selling_asset_type, selling_asset_issuer, and selling_asset_code for the selling asset, or a combination of buying_asset_type, buying_asset_issuer, and buying_asset_code for the buying asset.
This method will use
20 Compute Units.
Reference: Here
Query Parameters
List All Offers
curl --request GET \
--url 'https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers'import requests
url = "https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers")
.asString();require 'uri'
require 'net/http'
url = URI("https://mainnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE>/offers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"_links": {
"self": {
"href": "https://horizon-testnet.stellar.org/offers?cursor=&limit=3&order=asc&selling_asset_code=USD&selling_asset_issuer=GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX&selling_asset_type=credit_alphanum4"
},
"next": {
"href": "https://horizon-testnet.stellar.org/offers?cursor=88345152&limit=3&order=asc&selling_asset_code=USD&selling_asset_issuer=GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX&selling_asset_type=credit_alphanum4"
},
"prev": {
"href": "https://horizon-testnet.stellar.org/offers?cursor=71673427&limit=3&order=desc&selling_asset_code=USD&selling_asset_issuer=GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX&selling_asset_type=credit_alphanum4"
}
},
"_embedded": {
"records": [
{
"_links": {
"self": {
"href": "https://horizon-testnet.stellar.org/offers/71673427"
},
"offer_maker": {
"href": "https://horizon-testnet.stellar.org/accounts/GBJPWEIFX6KO4H52BF3QJDYRCLXB2P3Z3QTKWUGFOOFH5MSRZV4WLRZ7"
}
},
"id": 71673427,
"paging_token": "71673427",
"seller": "GBJPWEIFX6KO4H52BF3QJDYRCLXB2P3Z3QTKWUGFOOFH5MSRZV4WLRZ7",
"selling": {
"asset_type": "credit_alphanum4",
"asset_code": "USD",
"asset_issuer": "GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX"
},
"buying": {
"asset_type": "credit_alphanum4",
"asset_code": "BTC",
"asset_issuer": "GAUTUYY2THLF7SGITDFMXJVYH3LHDSMGEAKSBU267M2K7A3W543CKUEF"
},
"amount": "25.6545775",
"price_r": {
"n": 289696073,
"d": 25654776
},
"price": "11.2920913",
"last_modified_ledger": 26981646,
"last_modified_time": "2019-11-26T13:42:10Z"
},
{
"_links": {
"self": {
"href": "https://horizon-testnet.stellar.org/offers/88328208"
},
"offer_maker": {
"href": "https://horizon-testnet.stellar.org/accounts/GBSYMLHG5TGQ4O3NSPIO4DSCS4AC6YRJOQWQC3EW7O257RAUHI5SA45R"
}
},
"id": 88328208,
"paging_token": "88328208",
"seller": "GBSYMLHG5TGQ4O3NSPIO4DSCS4AC6YRJOQWQC3EW7O257RAUHI5SA45R",
"selling": {
"asset_type": "credit_alphanum4",
"asset_code": "USD",
"asset_issuer": "GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX"
},
"buying": {
"asset_type": "credit_alphanum4",
"asset_code": "BTC",
"asset_issuer": "GBVOL67TMUQBGL4TZYNMY3ZQ5WGQYFPFD5VJRWXR72VA33VFNL225PL5"
},
"amount": "2.4664893",
"price_r": {
"n": 500,
"d": 1233
},
"price": "0.4055150",
"last_modified_ledger": 23886660,
"last_modified_time": "2019-05-17T00:33:16Z"
},
{
"_links": {
"self": {
"href": "https://horizon-testnet.stellar.org/offers/88345152"
},
"offer_maker": {
"href": "https://horizon-testnet.stellar.org/accounts/GACTQP5TAWIXF2LV4GWGJWIUNHKDWZ2ITCFDP37FIGOFPR3ORMQRR63U"
}
},
"id": 88345152,
"paging_token": "88345152",
"seller": "GACTQP5TAWIXF2LV4GWGJWIUNHKDWZ2ITCFDP37FIGOFPR3ORMQRR63U",
"selling": {
"asset_type": "credit_alphanum4",
"asset_code": "USD",
"asset_issuer": "GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX"
},
"buying": {
"asset_type": "credit_alphanum4",
"asset_code": "USD",
"asset_issuer": "GBUYUAI75XXWDZEKLY66CFYKQPET5JR4EENXZBUZ3YXZ7DS56Z4OKOFU"
},
"amount": "10.0000000",
"price_r": {
"n": 11,
"d": 10
},
"price": "1.1000000",
"last_modified_ledger": 23887778,
"last_modified_time": "2019-05-17T02:19:19Z"
}
]
}
}